package cd.casic.ci.commons.bean.order;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class OrderBuilders implements Serializable {
    List<Order> orderParams = new ArrayList();

    public OrderBuilders() {
    }

    public static OrderBuilders instance() {
        return new OrderBuilders();
    }

    public OrderBuilders asc(String name) {
        this.orderParams.add(OrderBuilder.asc(name));
        return this;
    }

    public OrderBuilders desc(String name) {
        this.orderParams.add(OrderBuilder.desc(name));
        return this;
    }

    public List<Order> get() {
        return this.orderParams;
    }
}
