package cd.casic.ci.commons.bean.support.count;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线日统计模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineDayCount {

    /**
     * 日期
     */
    private String time;

    /**
     * 流水线时间统计
     */
    private PipelineTimeCount timeCount;

}













