package cd.casic.module.process.service.support.message.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_task_message_type", autoResultMap = true)
public class TaskMessageTypeDo extends BaseDO {

    @TableId
    private String id;

    //任务id
    private String taskId;

    //消息类型
    private String taskType;
}
