package cd.casic.ci.commons.bean.process.definition;


import cd.casic.framework.commons.pojo.PageParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线最近打开模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineOpenQuery {

    private String openId;

    private String userId;

    private String pipelineId;

    private PageParam pageParam = new PageParam();

    private Object orderParams;
}
