package cd.casic.ci.commons.bean.process.stage;


import cd.casic.framework.commons.pojo.PageParam;
import cn.hutool.db.Page;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 阶段运行实例模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class StageInstanceQuery {

    //阶段名称
    private String stageName;

    //实例id
    private String instanceId;

    //阶段顺序
    private int stageSort;

    //运行状态
    private String stageState;

    //阶段id
    private String parentId;

    //分页参数
    private PageParam pageParam = new PageParam();

    //排序参数
    private Object orderParams;
}
