package cd.casic.module.process.engine.task.dataobject;


import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 流水线顺序配置实体
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_task", autoResultMap = true)
public class TasksDo extends BaseDO {

    //流水线配置id
    @TableId
    private String taskId;

    //流水线
    private String pipelineId;

    private String stageId;

    private String postprocessId;

    private String taskName;

    //源码类型
    private String taskType;

    //顺序
    private int taskSort;

}
