package cd.casic.module.process.process.definition.dataobject;


import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 流水线收藏实体
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_other_follow", autoResultMap = true)
public class PipelineFollowDo extends BaseDO {

    @TableId
    private String id;

    private String pipelineId;

    private String userId ;

}
