package cd.casic.module.process.process.setting.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_setting_group", autoResultMap = true)
public class GroupDo extends BaseDO {

    @TableId
    private String id;

    // 环境名称
    private String groupName;

    // 用户ID
    private String userId;

    // 说明
    private String detail;
}
