package cd.casic.module.process.support.variable.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线条件模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class ExecVariable {

    //类型 str.字符串 single.单选
    private String varType;

    //名称
    private String varKey;

    //默认值
    private Object varValue;

    //默认值
    private String pipelineId;

}
