package cd.casic.module.process.task.code.model;


import cd.casic.ci.commons.bean.process.setting.Scm;
import lombok.Data;

/**
 * 任务源码模型
 */
//@ApiModel
//@Join
//@Mapper
@Data
public class TaskCode {

    //@ApiProperty(name = "taskId",desc = "id")
    private String taskId;

    //地址名
    //@ApiProperty(name="codeName",desc="地址名")
    private String codeName;

    //代码源地址
    //@ApiProperty(name="codeAddress",desc="代码地址")
    private String codeAddress;

    //分支
    //@ApiProperty(name="codeBranch",desc="分支")
    private String codeBranch;

    //授权id
    //@ApiProperty(name="authId",desc="授权id")
    private String authId;

    //@ApiProperty(name="svnFile",desc="svn检出文件夹")
    private String svnFile;

    // 第三方仓库ID
    private String houseId;


    //授权信息
    private Object auth;

    //顺序
    private int sort;

    //代码类型
    private String type;

    private String instanceId;

    // Git版本
    private Scm toolGit;

    // svn版本
    private Scm toolSvn;


    // 认证类型
    private String authType;

    // 用户名
    private String username;

    // 密码
    private String password;

    // 私钥
    private String priKey;

}
